# $Revision: 1.24 $, $Date: 2012/01/13 13:15:02 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Math
%define		pnam	Evol
Summary:	Math::Evol - evolution search optimisation
Summary(pl.UTF-8):	Math::Evol - optymalizacja przez poszukiwanie ewolucyjne
Name:		perl-Math-Evol
Version:	1.12
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	08013af45d038abd1b142b6ed250359c
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module implements the evolution search strategy. Derivatives of
the objective function are not required. Constraints can be
incorporated. The caller must supply initial values for the variables
and for the initial step sizes.

%description -l pl.UTF-8
Ten moduł jest implementacją algorytmu poszukiwania ewolucyjnego.
Pochodne optymalizowanej funkcji nie są potrzebne. Można nałożyć
ograniczenia. Wołający musi podać wartości początkowe zmiennych oraz
początkowe rozmiary kroków.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%attr(755,root,root) %{_bindir}/*
%{perl_vendorlib}/Math/Evol.pm
%{_mandir}/man[13]/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Math-Evol.spec,v $
Revision 1.24  2012/01/13 13:15:02  zbyniu
- up to 1.12

Revision 1.23  2009/08/26 10:48:08  amateja
- updated to 1.10

Revision 1.22  2008/07/27 22:42:43  arekm
- release 2

Revision 1.21  2007-02-13 07:47:13  glen
- tabs in preamble

Revision 1.20  2007/02/12 00:49:39  baggins
- converted to UTF-8

Revision 1.19  2005/11/23 18:56:37  czucz
- updated to 1.06

Revision 1.18  2005/05/30 11:09:15  petec
- up to 1.05

Revision 1.17  2004/12/12 10:55:38  ankry
- unified caps

Revision 1.16  2004/12/12 10:52:29  adamg
- updated to 1.04

Revision 1.15  2004/11/03 22:30:34  paladine
- formatting

Revision 1.14  2004/10/24 15:53:15  paladine
- spelling fixes, uppercases, etc.

Revision 1.13  2004/06/05 18:10:44  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.12  2004/05/06 18:20:38  ankry
- fixed perl-devel BR

Revision 1.11  2004/04/23 07:50:16  ankry
- license fixes, unification

Revision 1.10  2004/04/20 23:59:36  ankry
- ported to new bconds

Revision 1.9  2003/09/18 13:20:10  adamg
- updated to 1.03

Revision 1.8  2003/08/18 08:08:59  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.7  2003/05/28 13:00:48  malekith
- massive attack: source-md5

Revision 1.6  2003/05/25 06:24:47  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2003/04/11 18:59:25  radek
- BR: perl-devel; do not BR: perl

Revision 1.4  2003/03/01 20:20:46  radek
- should be ready for perl-5.8.0; release++

Revision 1.3  2003/02/25 00:40:16  radek
- use the __perl macro

Revision 1.2  2003/02/18 15:36:31  ankry
- massive attack: change CPAN URLs

Revision 1.1  2002/12/07 15:04:55  qboosh
- new

